Bug 740282 - need to add rpm_exec_t for /usr/bin/zif
Summary: need to add rpm_exec_t for /usr/bin/zif
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 14:20 UTC by Richard Hughes
Modified: 2011-11-23 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-23 15:48:32 UTC


Attachments (Terms of Use)

Description Richard Hughes 2011-09-21 14:20:29 UTC
Description of problem:

Running zif on the command line causes scriptlet failures with selinux turned on -- zif uses librpm to do package transactions much like yum.

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-28.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum install zif
2. zif install <whatever you want>
3. Scriptlets fail
  
Actual results:
The rpm transaction fails.

Expected results:
Scriptlets work :)

Additional info:
See https://github.com/hughsie/zif/issues/4 for original report. This affects people on F15 and F16. 

Yell if you need any more information. Thanks.

Comment 1 Daniel Walsh 2011-09-21 14:48:40 UTC
Fixed in selinux-policy-3.10.0-33.fc16

Comment 2 Richard Hughes 2011-09-28 19:00:13 UTC
Hmm, http://koji.fedoraproject.org/koji/buildinfo?buildID=265044 seems to think it failed to build. I need a version of policy I can use in F16.

Thanks,

Richard.

Comment 3 Miroslav Grepl 2011-09-29 08:07:18 UTC
yes, i need to rebuild it.


Note You need to log in before you can comment on or make changes to this bug.